# Tweakable settings for the 'yast2' script.
# to over-ride these settins per-user create a
# ~/.yast2/yast2 file.

## Path: System/Yast2/GUI
## Description: Default UI for YaST
## Type: list(auto,qt,gtk)
## Default: "auto"
# Default control center for YaST
# selects the control-center implementation to be used
# to render yast widgets
# auto: will attempt to detect both desktop & plugin
#       presence and adapt accordingly
WANTED_SHELL="auto"

## Type: list(auto,qt,ncurses)
## Default: "auto"
# Default UI backend for YaST
# selects the GUI plugin to be used to render yast widgets
# auto: will attempt to detect both desktop & plugin
#       presence and adapt accordingly, falling back to
#       qt rendering if gtk is not present
WANTED_GUI="auto"

## Type: string(linux,xterm,rxvt,mono,inverted,highcontrast,braille)
## Default: ""
# Color theme for YaST ncurses UI
# xterm: blue-white-red
# linux: blue-white-yellow
# rxvt: black-yellow-red
# mono: white-black
# inverted: black-white
# highcontrast: lightgrey-black
# braille: for visually impaired
Y2NCURSES_COLOR_THEME=""

## Type: list(yes,no)
## Default: "no"
# Enable tracking of configuraiton changes in subversion repository
# This is EXPERIMENTAL and not all YaST modules do support it.
# Use at your own risk
STORE_CONFIG_IN_SUBVERSION="no"

## Type: list(yes,no)
## Default: "no"
# Track all changes in all files in configuration directory
# If set to "no", YaST adds to the repository only files it changes
# itself and the first change of a particular configuration file
# gets lost (it can only be manually compared to the one in
# configuration file).
# If set to "yes", all files in the configuration directory
# are tracked in the subversion repository. This has big impact
# on start-up and finish times of YaST modules
# This option is experimental and not all YaST modules do support
# configuration tracking via subversion
SUBVERSION_ADD_DIRS_RECURSIVE="no"

## Type: list(close,restart,summary)
## Default: "summary"
# Set the default behavior of the package manager when package installation has finished.
# Possible actions are:
#   close - just finish the package manager
#   restart - go back to the package manager, install/remove more packages
#   summary - display an installation summary dialog, there user can decide whether to finish or restart
# The summary dialog is always displayed when an installation error has occured.
PKGMGR_ACTION_AT_EXIT="summary"

## Type: list(yes,no)
## Default: "yes"
#
# By default the package dependencies are checked on every action (installation/update/removal)
# done in the package selector and possible conflicts are shown immediately.
# Set the value to "no" if you want the dependency check only onces before starting the
# package installation/update/removal.
PKGMGR_AUTO_CHECK="yes"

## Type: list(yes,no)
## Default: "no"
#
# The default is "no", i.e. the package dependencies of already installed package are
# not checked when installing a package (only the dependencies of the new package).
# Set this option to "yes" if you want to verify your system (check the dependencies of
# all already installed packages).
PKGMGR_VERIFY_SYSTEM="no"

## Type: list(yes,no)
## Default: "yes"
#
# Install also the weak, recommended, dependencies.
PKGMGR_RECOMMENDED="yes"

## Type: list(yes,no)
## Default: "no"
# Enable use of snapper for YaST.
USE_SNAPPER="no"
